OpenTTD Source: Data Fields

OpenTTD Source 14.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- s : Units , UnitsLong
- s_rail_change_counter : CSegmentCostCacheBase
- SAFE_LIMIT : ScriptAllocator
- SatisfyDemandTo() : LinkGraphJob::NodeAnnotation
- Save() : AI , AIPLChunkHandler , ANITChunkHandler , BKORChunkHandler , CAPAChunkHandler , CAPYChunkHandler , CHTSChunkHandler , ChunkHandler , CITYChunkHandler , CMDLChunkHandler , CMPUChunkHandler , DATEChunkHandler , DEPTChunkHandler , ECMYChunkHandler , EIDSChunkHandler , ENGNChunkHandler , ERNWChunkHandler , Game , GLOGChunkHandler , GOALChunkHandler , GRPSChunkHandler , GSDTChunkHandler , GSTRChunkHandler , HotkeyList , IBLDChunkHandler , INDYChunkHandler , ITBLChunkHandler , LEAEChunkHandler , LEATChunkHandler , LGRJChunkHandler , LGRPChunkHandler , LGRSChunkHandler , M3HIChunkHandler , M3LOChunkHandler , MAP2ChunkHandler , MAP5ChunkHandler , MAP7ChunkHandler , MAP8ChunkHandler , MAPEChunkHandler , MAPHChunkHandler , MAPOChunkHandler , MAPSChunkHandler , MAPTChunkHandler , NewGRFMappingChunkHandler , NGRFChunkHandler , OBJSChunkHandler , ORDLChunkHandler , ORDRChunkHandler , PATSChunkHandler , PLYRChunkHandler , PSACChunkHandler , RAILChunkHandler , ROADChunkHandler , SaveLoadHandler , ScriptInstance
- save : SettingDesc
- Save() : SIGNChunkHandler , STNNChunkHandler , STPAChunkHandler , STPEChunkHandler , SUBSChunkHandler , VEHSChunkHandler , VIEWChunkHandler
- save_config : AfterNewGRFScan
- SaveCustomPlaylist() : MusicSystem
- SaveEmpty() : ScriptInstance
- SaveFilter() : SaveFilter
- savegame : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- saveinprogress : SaveLoadParams
- SaveObject() : ScriptInstance
- SavePresetWindow() : SavePresetWindow
- SaveToConfig() : WindowDesc
- SaveToDisk() : IniFile
- sb : NWidgetMatrix
- scale : FlowMapper
- Scale() : LinkGraph
- scale : LinkGraphOverlay , Window
- scale_bevels : GUISettings
- ScaleBySize() : Map
- ScaleBySize1D() : Map
- scaled : WidgetDimensions
- ScaleToMonthly() : FlowStat
- Scan() : FileScanner , LanguageScanner , ScenarioScanner
- ScanForStationTiles() : StationRect
- scanned : ScanProgressWindow , ScenarioScanner
- scanner : ScriptInfo
- scanner_info : AI , Game
- scanner_library : AI , Game
- ScanProgressWindow() : ScanProgressWindow
- SCENARIO : TarScanner
- scenario_developer : GUISettings
- ScenarioScanner() : ScenarioScanner
- scenid : ScenarioIdentifier
- schedule : LinkGraphSchedule
- scheduled_invalidation_data : Window
- scheduled_resize : Window
- ScheduleResize() : Window
- Scinterlate() : FrametimeGraphWindow
- score : HighScore , LeagueTableElement , ScoreInfo
- score_width : ScriptLeagueWindow
- script : GameSettings , ICURun
- script_config : ScriptSettingsWindow
- script_debug_company : ScriptDebugWindow::FilterState
- Script_FatalError() : Script_FatalError
- script_max_memory_megabytes : ScriptSettings
- script_max_opcode_till_suspend : ScriptSettings
- Script_Suspend() : Script_Suspend
- ScriptConfig() : ScriptConfig
- ScriptDebugGlobalHotkeys() : ScriptDebugWindow
- ScriptDebugWindow() : ScriptDebugWindow
- ScriptFileChecksumCreator() : ScriptFileChecksumCreator
- ScriptInstance() : ScriptInstance
- ScriptListWindow() : ScriptListWindow
- ScriptSettingSource : ScriptConfig
- ScriptSettingsWindow() : ScriptSettingsWindow
- Scroll() : IConsoleWindow
- scroll_interval : AboutWindow , DropdownWindow , NewsWindow
- scroll_mode : GUISettings
- scroll_to_row : StationViewWindow
- scroll_x : SmallMapWindow
- scroll_y : SmallMapWindow
- scrollbar_index : NWidgetCore
- ScrollbarStepping : Scrollbar
- ScrollBuffer() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- scrolling : DropdownWindow
- scrollpos : TextfileWindow::HistoryEntry
- scrollpos_x : ViewportData
- scrollpos_y : ViewportData
- ScrollToSelected() : NetworkContentListWindow
- ScrollToSelectedServer() : NetworkGameWindow
- ScrollTowards() : Scrollbar
- scrollwheel_multiplier : GUISettings
- scrollwheel_scrolling : GUISettings
- sdl_window : VideoDriver_SDL_Base
- se_flat_world_height : GameCreationSettings
- SEARCH_IN_TARS : BaseSet< T, Tnum_files, Tsearch_in_tars >
- search_iterator : TextfileWindow
- searched_internet : NetworkGameWindow
- SearchNonStop() : StationViewWindow
- SECONDS_PER_DAY : TimerGameConst< T >
- SeekTo() : RandomAccessFile
- SeekToBegin() : SpriteFile
- seen_hops : LinkRefresher
- segments : MpsMachine
- SEL_DC_BASEPLANE : VehicleViewWindow
- SEL_DC_CLONE : VehicleViewWindow
- SEL_DC_GOTO_DEPOT : VehicleViewWindow
- sel_engine : BuildVehicleWindow , ReplaceVehicleWindow
- sel_group : ReplaceVehicleWindow
- sel_index : TownAuthorityWindow
- sel_railtype : ReplaceVehicleWindow
- sel_roadtype : ReplaceVehicleWindow
- SEL_RT_BASEPLANE : VehicleViewWindow
- SEL_RT_REFIT : VehicleViewWindow
- SEL_RT_TURN_AROUND : VehicleViewWindow
- Select() : ClientNetworkContentSocketHandler
- select_method : TileHighlightData
- select_proc : TileHighlightData
- SelectAll() : ClientNetworkContentSocketHandler
- SelectBlitter() : BlitterFactory
- SelectClassAndObject() : BuildObjectWindow
- SelectClassAndStation() : BuildRailStationWindow
- SelectDisplayPlanes() : SelectCompanyManagerFaceWindow
- SelectDriver() : DriverFactoryBase
- SelectDriverImpl() : DriverFactoryBase
- SELECTED : ContentInfo
- selected : NetworkContentListWindow , SaveLoadWindow , SavePresetWindow , ScriptListWindow
- selected_generic_title : StoryBookWindow
- selected_layout : Industry
- selected_page_id : StoryBookWindow
- selected_refit : RefitWindow
- selected_result : DropdownWindow
- selected_slot : AIConfigWindow
- selected_type : BuildIndustryWindow
- selected_vehicle : RefitWindow
- SelectFirstAvailableAirport() : BuildAirportWindow
- SelectFirstAvailableObject() : BuildObjectWindow
- selectgoods : OrderSettings
- SelectGroup() : VehicleGroupWindow
- SelectGroupBy() : StationViewWindow
- SelectLegendItem() : SmallMapWindow
- SelectNearestNodeDistance() : Kdtree< T, TxyFunc, CoordT, DistT >
- SelectNextPage() : StoryBookWindow
- SelectOtherClass() : BuildObjectWindow , BuildRailStationWindow
- SelectOtherObject() : BuildObjectWindow
- SelectPlane() : VehicleViewWindow
- SelectPrevPage() : StoryBookWindow
- SelectRandomAI() : AIScannerInfo
- SelectSortBy() : StationViewWindow
- SelectSortOrder() : StationViewWindow
- SelectSplitCoord() : Kdtree< T, TxyFunc, CoordT, DistT >
- SelectUpgrade() : ClientNetworkContentSocketHandler
- SelectValidDebugCompany() : ScriptDebugWindow
- selend : TileHighlightData
- self_scope : VehicleResolverObject
- self_type : VehicleScopeResolver
- selstart : TileHighlightData
- semaphore_build_before : GUISettings
- Send() : ClientNetworkGameSocketHandler , QueryNetworkGameSocketHandler , ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- Send_bool() : Packet
- Send_buffer() : Packet
- Send_bytes() : Packet
- Send_string() : Packet
- Send_uint16() : Packet
- Send_uint32() : Packet
- Send_uint64() : Packet
- Send_uint8() : Packet
- SendAck() : ClientNetworkGameSocketHandler
- SendChat() : ClientNetworkGameSocketHandler , ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendClientError() : ServerNetworkAdminSocketHandler
- SendClientInfo() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendClientJoin() : ServerNetworkAdminSocketHandler
- SendClientQuit() : ServerNetworkAdminSocketHandler
- SendClientUpdate() : ServerNetworkAdminSocketHandler
- SendCmdLogging() : ServerNetworkAdminSocketHandler
- SendCmdNames() : ServerNetworkAdminSocketHandler
- SendCommand() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendCompanyEconomy() : ServerNetworkAdminSocketHandler
- SendCompanyInfo() : ServerNetworkAdminSocketHandler
- SendCompanyNew() : ServerNetworkAdminSocketHandler
- SendCompanyPassword() : ClientNetworkGameSocketHandler
- SendCompanyRemove() : ServerNetworkAdminSocketHandler
- SendCompanyStats() : ServerNetworkAdminSocketHandler
- SendCompanyUpdate() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendConfigUpdate() : ServerNetworkGameSocketHandler
- SendConsole() : ServerNetworkAdminSocketHandler
- SendDate() : ServerNetworkAdminSocketHandler
- SendError() : ClientNetworkGameSocketHandler , ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendErrorQuit() : ServerNetworkGameSocketHandler
- SendExternalChat() : ServerNetworkGameSocketHandler
- SendFrame() : ServerNetworkGameSocketHandler
- SendGameInfo() : QueryNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendGamePassword() : ClientNetworkGameSocketHandler
- SendGameScript() : ServerNetworkAdminSocketHandler
- SendGetMap() : ClientNetworkGameSocketHandler
- SendJoin() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendMap() : ServerNetworkGameSocketHandler
- SendMapOk() : ClientNetworkGameSocketHandler
- SendMove() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendNeedCompanyPassword() : ServerNetworkGameSocketHandler
- SendNeedGamePassword() : ServerNetworkGameSocketHandler
- SendNet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- SendNewGame() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendNewGRFCheck() : ServerNetworkGameSocketHandler
- SendNewGRFsOk() : ClientNetworkGameSocketHandler
- SendPacket() : NetworkTCPSocketHandler , NetworkUDPSocketHandler
- SendPackets() : NetworkTCPSocketHandler
- SendPong() : ServerNetworkAdminSocketHandler
- SendProtocol() : ServerNetworkAdminSocketHandler
- SendQuit() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendRCon() : ClientNetworkGameSocketHandler
- SendRcon() : ServerNetworkAdminSocketHandler
- SendRconEnd() : ServerNetworkAdminSocketHandler
- SendRConResult() : ServerNetworkGameSocketHandler
- SendReceive() : ClientNetworkContentSocketHandler , ClientNetworkCoordinatorSocketHandler , ClientNetworkStunSocketHandler , ClientNetworkTurnSocketHandler , QueryNetworkGameSocketHandler
- SendServerUpdate() : ClientNetworkCoordinatorSocketHandler
- SendSetName() : ClientNetworkGameSocketHandler
- SendSetPassword() : ClientNetworkGameSocketHandler
- SendShutdown() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendSurvey() : CrashLog
- SendSync() : ServerNetworkGameSocketHandler
- SendToDepot() : Vehicle
- SendWait() : ServerNetworkGameSocketHandler
- SendWelcome() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- sent_result : ClientNetworkStunSocketHandler
- separator : CurrencySpec
- seq : DrawTileSprites
- seq_group_names : IniLoadFile
- serve_neutral_industries : StationSettings
- server : NetworkGameWindow
- server_address : TCPServerConnecter
- server_admin_chat : NetworkSettings
- server_admin_port : NetworkSettings
- server_connection_string : NetworkAskRelayWindow
- server_game_type : NetworkSettings
- server_invite_code : NetworkSettings
- server_invite_code_secret : NetworkSettings
- server_name : NetworkServerGameInfo , NetworkSettings
- server_password : NetworkJoinInfo , NetworkSettings
- server_port : NetworkSettings
- server_revision : NetworkServerGameInfo
- ServerAddress() : ServerAddress
- ServerNetworkAdminSocketHandler() : ServerNetworkAdminSocketHandler
- ServerNetworkGameSocketHandler() : ServerNetworkGameSocketHandler
- ServerNetworkUDPSocketHandler() : ServerNetworkUDPSocketHandler
- servers : NetworkGameWindow
- ServerStatus : ClientNetworkGameSocketHandler
- service_interval : BaseConsist
- serviceathelipad : OrderSettings
- servint_aircraft : VehicleDefaultSettings
- servint_ispercent : VehicleDefaultSettings
- servint_roadveh : VehicleDefaultSettings
- servint_ships : VehicleDefaultSettings
- servint_trains : VehicleDefaultSettings
- Set() : FileToSaveLoad , Hash
- set : MusicSystem::PlaylistEntry
- Set() : VehicleSpriteSeq
- set_index : MusicSystem::PlaylistEntry
- set_start_date_all : TimetableWindow
- SetAcceptedCargoFilter() : IndustryDirectoryWindow
- SetAlignment() : NWidgetCore
- SetArticulatedPart() : GroundVehicle< T, Type >
- SetButtons() : BuildIndustryWindow , SettingEntry
- SetCallerGRFID() : NewGRFInspectWindow
- SetCapacity() : Scrollbar
- SetCapacityFromWidget() : Scrollbar
- SetCargo() : CargoPayment
- SetCargoFilter() : BaseVehicleListWindow
- SetCargoFilterArray() : BaseVehicleListWindow , BuildVehicleWindow , IndustryDirectoryWindow
- SetCargoMask() : LinkGraphOverlay
- SetClicked() : NWidgetMatrix
- SetClientIdHelper() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- SetClientIds() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- SetColour() : FontState , StoryPageButtonData
- SetCompanyMask() : LinkGraphOverlay
- SetConditionComparator() : Order
- SetConditionSkipToOrder() : Order
- SetConditionValue() : Order
- SetConditionVariable() : Order
- SetConnected() : TCPServerConnecter
- SetCount() : NWidgetMatrix , Scrollbar
- SetCurPosition() : IcuStringIterator , OSXStringIterator , StringIterator , UniscribeStringIterator
- SetCursor() : StoryPageButtonData
- SetDataTip() : NWidgetCore
- SetDate() : TimerGameCalendar , TimerGameEconomy
- SetDateWindow() : SetDateWindow
- SetDemand() : LinkGraph::BaseNode
- SetDemandPerNode() : AsymmetricScaler , SymmetricScaler
- SetDemands() : Scaler , SymmetricScaler
- SetDepotActionType() : Order
- SetDepotOrderType() : Order
- SetDestination() : CYapfDestinationTileT< Types > , Order
- SetDirty() : LinkGraphOverlay , NWidgetBase , NWidgetSpacer , Window
- SetDisabled() : NWidgetCore
- SetDisplayedHelpText() : GameSettingsWindow
- SetDisplayedPlane() : NWidgetStacked
- SetDisplayedRow() : StationViewWindow
- SetDParam() : ErrorMessageData
- SetDParamStr() : ErrorMessageData
- SetDummyAI() : AIScannerInfo
- SetEngine() : GroundVehicle< T, Type >
- SetEntitySpec() : HouseOverrideManager , IndustryOverrideManager , ObjectOverrideManager
- SetEntranceBusy() : RoadStop
- SetErrorMessage() : CrashLog
- SetExpectedRate() : PerformanceMeasurer
- SetFaceStringParameters() : SelectCompanyManagerFaceWindow
- SetFailure() : TCPServerConnecter
- SetFill() : NWidgetResizeBase
- SetFilterFuncs() : GUIList< T, P, F >
- SetFiltering() : GUIList< T, P, F >
- SetFilterState() : GUIList< T, P, F >
- SetFilterString() : SignListWindow
- SetFilterTerm() : StringFilter
- SetFilterType() : GUIList< T, P, F >
- SetFocusedWidget() : Window
- SetFontNames() : MissingGlyphSearcher , TextfileWindow
- SetFontSize() : FontState
- SetFreeWagon() : GroundVehicle< T, Type >
- SetFrontEngine() : GroundVehicle< T, Type >
- SetGlobalPointer() : Squirrel
- SetHighlighted() : NWidgetCore
- SetInactive() : PerformanceMeasurer
- SetInfo() : NetworkGameSocketHandler
- SetInterval() : IntervalTimer< TTimerType >
- SetLastField() : BaseSettingEntry
- SetLastSpeed() : GroundVehicle< T, Type >
- SetListing() : GUIList< T, P, F >
- SetLoadType() : Order
- SetLowered() : NWidgetCore
- SetMaxSpeed() : Order
- SetMinimalSize() : NWidgetResizeBase
- SetMinimalSizeAbsolute() : NWidgetResizeBase
- SetMinimalTextLines() : NWidgetResizeBase
- SetMode() : FileToSaveLoad
- SetMultiheaded() : GroundVehicle< T, Type >
- SetNewScroll() : SmallMapWindow
- SetNext() : Vehicle
- SetNextHop() : CargoPacket
- SetNode() : FlowEdgeIterator , GraphEdgeIterator
- SetNonStopType() : Order
- SetObjectAtStringParameters() : NIHelper
- SetOffset() : StringParameters
- SetOrigin() : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- SetOriginFromVehiclePos() : CYapfFollowRoadT< Types >
- SetOverlay() : LinkGraphLegendWindow
- SetOverlayCargoMask() : SmallMapWindow
- SetPadding() : NWidgetBase
- SetParameterDefaults() : GRFConfig
- SetPIP() : NWidgetBackground , NWidgetPIPContainer
- SetPIPRatio() : NWidgetBackground , NWidgetPIPContainer
- SetPixel() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- SetPort() : NetworkAddress
- SetPosition() : Scrollbar
- SetPositionBySetIndex() : MusicSystem
- SetPrintFunction() : Squirrel
- SetProducedCargoFilter() : IndustryDirectoryWindow
- SetRefit() : Order
- SetReservationTarget() : CYapfReserveTrack< Types >
- SetResize() : NWidgetResizeBase
- SetScrollbar() : NWidgetMatrix
- SetSeed() : Randomizer
- SetSelectedPage() : StoryBookWindow
- SetSelection() : RefitWindow
- SetSet() : BaseMedia< Tbase_set >
- SetSetByName() : BaseMedia< Tbase_set >
- SetSetByShortname() : BaseMedia< Tbase_set >
- SetSetting() : ScriptConfig
- SetShaded() : Window
- SetSignalUIMode() : BuildSignalWindow
- SetSimpleStringParameters() : NIHelper
- SetSortFuncs() : GUIList< T, P, F >
- SetSortType() : GUIList< T, P, F >
- SetStepSize() : Scrollbar
- SetStopLocation() : Order
- SetString() : IcuStringIterator , OSXStringIterator , StringIterator , UniscribeStringIterator
- SetStringParameters() : NIHAirport , NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadStop , NIHRoadType , NIHStation , NIHTown , NIHVehicle , Window
- SetSuitablePalette() : GRFConfig
- SetTextStyle() : NWidgetCore
- SetTile() : BitmapTileArea
- SetTimeout() : Window
- Setting() : Gamelog
- setting : SettingEntry
- SettingEntry() : SettingEntry
- settings : CompanyProperties
- Settings() : LinkGraphJob
- settings : LinkGraphJob , ScriptConfig
- settings_ptr : GameSettingsWindow
- settings_restriction_mode : GUISettings
- SettingsIniFile() : SettingsIniFile
- SettingsPage() : SettingsPage
- SettingsToString() : ScriptConfig
- SettingValueList : ScriptConfig
- SetToolTip() : NWidgetCore
- SetTransfers() : CargoDataEntry
- SetTravelTime() : Order
- SetTravelTimetabled() : Order
- SetUnicodeGlyph() : FontCache , MockFontCache , SpriteFontCache , TrueTypeFontCache
- SetUnloadType() : Order
- setup : VideoDriver_Cocoa
- setup_prod : Cheats
- SetupCargoForClimate : CargoSpec
- SetupRailToolbar() : BuildRailToolbarWindow
- SetupRoadToolbar() : BuildRoadToolbarWindow
- SetupScrollbars() : TextfileWindow
- SetupSmallestSize() : NWidgetBackground , NWidgetBase , NWidgetHorizontal , NWidgetLeaf , NWidgetMatrix , NWidgetNewGRFDisplay , NWidgetScenarioToolbarContainer , NWidgetScrollbar , NWidgetServerListHeader , NWidgetSmallmapDisplay , NWidgetSocialPlugins , NWidgetSpacer , NWidgetStacked , NWidgetToolbarContainer , NWidgetVertical , NWidgetViewport
- SetupTargetCount() : IndustryBuildData
- SetupWidgetData() : DepotWindow , SmallMapWindow
- SetupWidgets() : CompanyFinancesWindow
- SetValue() : GRFParameterInfo , IniItem
- SetValueDParams() : IntSettingDesc
- SetVehicleType() : StoryPageButtonData
- SetVolume() : MusicDriver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_Win32
- SetWagon() : GroundVehicle< T, Type >
- SetWaitTime() : Order
- SetWaitTimetabled() : Order
- SetWhiteBorder() : Window
- SetWidgetDirty() : Window
- SetWidgetDisabledState() : Window
- SetWidgetHighlight() : Window
- SetWidgetLoweredState() : Window
- SetWidgetsDisabledState() : Window
- SetWidgetsLoweredState() : Window
- SetWindowTop() : NewsWindow
- SetZoomLevel() : SmallMapWindow
- severity : GRFError
- sf : SaveLoadParams
- sg_full_load_any : GUISettings
- sg_new_nonstop : GUISettings
- shade_select : Window
- shadebox : WidgetDimensions
- shadebox_dimension : NWidgetLeaf
- shaded : DropDownListItem
- Shape() : ICURun
- shared : LinkProperties
- shares : FlowStat
- Shift() : CBinaryHeapT< T >
- shift : OskWindow
- Shift() : VehicleCargoList
- ShiftCargo() : StationCargoList , VehicleCargoList
- ShiftDates() : LinkGraph , LinkGraphSchedule , Vehicle
- ShiftJoinDate() : LinkGraphJob
- Ship() : Ship
- ship_curve45_penalty : YAPFSettings
- ship_curve90_penalty : YAPFSettings
- ship_station : Station
- ship_use_yapf : YAPFSettings
- shore : GRFLoadedFeatures
- short_name : ScriptInfo
- short_path_saturation : LinkGraphSettings
- SHORT_STRIP : AirportFTAClass
- shorten_factor : RailVehicleInfo , RoadVehicleInfo
- ShortenCargoColumn() : IndustryCargoesWindow
- shortname : BaseGraphics::Ini , BaseSet< T, Tnum_files, Tsearch_in_tars > , OptionData
- shouldplayflag : MpsMachine
- ShouldStopAtStation() : Order
- show_all : ScriptListWindow
- show_break_box : ScriptDebugWindow
- show_cargo_in_vehicle_lists : GUISettings
- show_date_in_logs : GUISettings
- show_dirs : ConsoleFileList
- show_expected : TimetableWindow
- show_finances : GUISettings
- show_hidden_engines : BuildVehicleWindow , ReplaceVehicleWindow
- show_newgrf_name : GUISettings
- show_on_map : LegendAndColour
- show_params : NewGRFWindow
- show_towns : SmallMapWindow
- show_track_reservation : GUISettings
- show_zone : Town
- ShowCargo() : StationViewWindow
- ShowDateDropDown() : SetDateWindow
- shown_plane : NWidgetStacked
- ShowNewGRFInspectWindow() : IndustryViewWindow , LandInfoWindow , VehicleViewWindow , Window
- ShowVisualEffect() : Vehicle
- Shrink() : Rect
- shuffle : MusicSettings
- Shuffle() : MusicSystem
- Shutdown() : SocialIntegration
- ShutdownDrivers() : DriverFactoryBase
- sig_sprite_bottom_offset : BuildSignalWindow
- sig_sprite_size : BuildSignalWindow
- sign : BaseStation
- Sign() : Sign
- sign : TownCache
- signal : CompanyInfrastructure
- signal_gui_mode : GUISettings
- signals : RailTypeInfo
- SignList() : SignList
- SignListGlobalHotkeys() : SignListWindow
- SignNameFilter() : SignList
- SignNameSorter() : SignList
- signum : CrashLogOSX , CrashLogUnix
- simplified_filename : RandomAccessFile
- single_e : RailTypeInfo
- single_n : RailTypeInfo
- single_s : RailTypeInfo
- single_sloped : RailTypeInfo
- single_w : RailTypeInfo
- single_x : RailTypeInfo
- single_y : RailTypeInfo
- size : FontCacheSubSetting
- Size() : LinkGraph , LinkGraphJob , Map
- size : Map , MultiMap< Tkey, Tvalue, Tcompare > , NWidgetPartTextLines , NWidgetPartTextStyle , ObjectSpec , OutputBuffer
- Size() : Packet
- size : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , SaveLoad , TileHighlightData
- size_x : AirportSpec , GenWorldInfo , Map
- size_y : AirportSpec , GenWorldInfo , Map
- sizelimit : TileHighlightData
- SizeRef() : FixedSizeArray< T, C >
- SizeX() : Map
- SizeY() : Map
- Skip() : ByteBuffer
- skip_left : Blitter::BlitterParams
- skip_sprites : GrfProcessingState
- skip_top : Blitter::BlitterParams
- SkipBytes() : RandomAccessFile
- SkipToNextRealOrderIndex() : Vehicle
- SlCalcLen() : SlStorageHelper< Tstorage, Tvar, Tallocator >
- SleepTillNextTick() : VideoDriver
- slopes_refused : IndustryTileSpec
- Slot : CHashTableT< Titem_, Thash_bits_ >
- slot : ScriptListWindow , ScriptSettingsWindow , ScriptTextfileWindow
- SlSaveLoad() : SlStorageHelper< Tstorage, Tvar, Tallocator >
- slver : LoggedChangeRevision
- small : CompanyFinancesWindow , FontCacheSettings
- small_height : CargoesField
- small_turn : AccelerationSlowdownParams
- SmallArray() : SmallArray< T, B, N >
- smallest_x : NWidgetBase
- smallest_y : NWidgetBase
- smallmap_land_colour : GUISettings
- smallmap_window : NWidgetSmallmapDisplay
- SmallMapCenterOnCurrentPos() : SmallMapWindow
- SmallSet() : SmallSet< Tdir, items >
- SmallStack() : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- SmallStackItem() : SmallStackItem< Titem, Tindex >
- smoke_amount : VehicleSettings
- smooth_scroll : GUISettings
- snow_coverage : GameCreationSettings
- snow_line_height : GameCreationSettings
- snow_offset : RailTypeInfo
- social_platform : SocialIntegrationPlugin
- sock : NetworkTCPSocketHandler
- sock_to_address : TCPConnecter
- socket : TCPServerConnecter , UDPSocket
- sockets : NetworkUDPSocketHandler , TCPConnecter , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- SocketTypeAsString() : NetworkAddress
- songdata : MpsMachine
- songdatalen : MpsMachine
- songinfo : MusicSet
- songname : MusicSongInfo
- Sort() : GUIList< T, P, F >
- sort_criteria : BuildVehicleWindow , ReplaceVehicleWindow
- sort_func_list : GUIList< T, P, F >
- sort_orders : StationViewWindow
- sort_type : GUIList< T, P, F >
- sort_value : StoryPage , StoryPageElement
- SortBridgeList() : BuildBridgeWindow
- SortButtonWidth() : Window
- SortContentList() : NetworkContentListWindow
- sorter_funcs : BuildBridgeWindow , BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , NetworkContentListWindow , NewGRFWindow , TownDirectoryWindow
- sorter_names : BuildBridgeWindow , TownDirectoryWindow
- SorterType : IndustryDirectoryWindow
- SortFunction : GUIList< T, P, F >
- sorting : BaseVehicleListWindow
- sorting_order : RailTypeInfo , RoadTypeInfo
- sortings : StationViewWindow
- SortNetworkGameList() : NetworkGameWindow
- SortStationsList() : CompanyStationsWindow
- SortType() : GUIList< T, P, F >
- sound : ClientSettings , NewsTypeData
- source : CargoMovement< Tsource, Tdest > , CargoRemoval< Tsource > , CargoSummaryItem , StringIDMapping
- source_id : CargoPacket
- source_type : CargoPacket
- source_xy : CargoPacket
- spacers : NWidgetToolbarContainer
- spacing : NWidgetPartTextLines
- sparse : WidgetDimensions
- sparse_resize : WidgetDimensions
- SPAWN_JOIN_TICK : LinkGraphSchedule
- SpawnAll() : LinkGraphSchedule
- SpawnNext() : LinkGraphSchedule
- SpawnThread() : LinkGraphJob
- spec : NewGRFClass< Tspec, Tid, Tmax > , ObjectScopeResolver
- spec_id : RoadStopSpec
- special_flags : IndustryTileSpec
- SpecializedStation() : SpecializedStation< T, Tis_waypoint >
- SpecializedVehicle() : SpecializedVehicle< T, Type >
- SpecializedVehicleBase : SpecializedVehicle< T, Type >
- speclist : BaseStation
- specs : AirportSpec
- spectators_on : NetworkServerGameInfo
- speed : AnimationInfo , BridgeSpec
- speed_gameloop : FramerateWindow
- Split() : CargoPacket
- spring : River_UserData
- sprite : AnimCursor , Blitter::BlitterParams , BridgeSpec , ButtonCommon , CargoSpec , DropDownIcon< TBase, TEnd > , GrfProcessingState::SpriteSet , PalSpriteID , TileLayoutRegisters , TrueTypeFontCache::GlyphEntry
- sprite_base : Action5Type
- sprite_cache : Vehicle
- sprite_count : CursorVars
- sprite_crash_loc : OpenGLBackend
- sprite_height : Blitter::BlitterParams
- sprite_left : RefitWindow
- sprite_pos : CursorVars
- sprite_program : OpenGLBackend
- sprite_rgb_loc : OpenGLBackend
- sprite_right : RefitWindow
- sprite_screen_loc : OpenGLBackend
- sprite_seq : CursorVars , MutableSpriteCache
- sprite_sprite_loc : OpenGLBackend
- sprite_table : BridgeSpec
- sprite_var10 : TileLayoutRegisters
- sprite_width : Blitter::BlitterParams
- sprite_zoom_loc : OpenGLBackend
- sprite_zoom_min : GUISettings
- SpriteCollection : SpriteLoader
- SpriteFile() : SpriteFile
- SpriteFontCache() : SpriteFontCache
- spritegroup : GRFFilePropsBase< Tcnt >
- spriteid : GrfProcessingState
- spritenum : Vehicle
- sprites : NewGrfDebugSpritePicker
- spritesets : GrfProcessingState
- SQ_instance : ScriptInfo
- SQSaveLoadType : ScriptInstance
- SQSL_ARRAY : ScriptInstance
- SQSL_ARRAY_TABLE_END : ScriptInstance
- SQSL_BOOL : ScriptInstance
- SQSL_INT : ScriptInstance
- SQSL_NULL : ScriptInstance
- SQSL_STRING : ScriptInstance
- SQSL_TABLE : ScriptInstance
- squared_town_zone_radius : TownCache
- src : Subsidy
- src_industry : GenericScopeResolver
- src_type : Subsidy
- SS_BIG : Scrollbar
- SS_RAW : Scrollbar
- SS_SMALL : Scrollbar
- SSS_DEFAULT : ScriptConfig
- SSS_FORCE_GAME : ScriptConfig
- SSS_FORCE_NEWGAME : ScriptConfig
- st : AirportScopeResolver , AirportTileIterator , AirportTileScopeResolver , FinalizeRefitAction , ReturnCargoAction , RoadStopScopeResolver , StationScopeResolver
- stage : GrfProcessingState
- Stage() : VehicleCargoList
- STALE_LINK_DEPOT_TIMEOUT : LinkGraph
- Start() : Driver
- start : ICURun
- Start() : MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_Win32 , SoundDriver_Allegro , SoundDriver_Cocoa , SoundDriver_Null , SoundDriver_SDL , SoundDriver_Win32 , SoundDriver_XAudio2
- start : StringFilter::WordState
- Start() : VideoDriver_Allegro , VideoDriver_CocoaOpenGL , VideoDriver_CocoaQuartz , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_SDL_OpenGL , VideoDriver_Win32GDI
- start_price : PriceBaseSpec
- start_tick : NewGRFProfiler
- StartAction() : Gamelog
- StartGameThread() : VideoDriver
- starting_colour : GUISettings
- starting_colour_secondary : GUISettings
- starting_year : GameCreationSettings
- StartNew() : AI , Game
- startpos : MpsMachine::Channel
- StartTimer() : NewGRFProfiler
- startup : SettingDesc
- startyear : AfterNewGRFScan
- state : Aircraft , ContentInfo
- State : ContentInfo
- state : DisasterVehicle , Filtering , MovementTerminalMapping , Randomizer , RoadVehicle , Ship , SocialIntegrationPlugin
- State : SocialIntegrationPlugin
- state_after : Layouter::LineCacheItem
- state_before : Layouter::LineCacheKey , Layouter::LineCacheQuery
- StateSorter() : NetworkContentListWindow
- station : CargoDataEntry , CompanyInfrastructure , GameSettings , LinkGraph::BaseNode , TileAndStation
- STATION_ACCEPTANCE_TICKS : Ticks
- station_class : RailStationGUISettings , TileDesc
- station_classes : BuildRailStationWindow
- station_count : RailStationGUISettings
- station_dragdrop : GUISettings
- station_gui_group_order : GUISettings
- station_gui_sort_by : GUISettings
- station_gui_sort_order : GUISettings
- station_index : NPFFindStationOrTileData
- station_length_loading_penalty : OrderSettings
- STATION_LINKGRAPH_TICKS : Ticks
- station_name : IndustrySpec , TileDesc
- station_noise_level : EconomySettings
- station_numtracks : GUISettings
- station_platlength : GUISettings
- station_rating : Cheats
- STATION_RATING_TICKS : Ticks
- station_scope : StationResolverObject
- station_show_coverage : GUISettings
- station_spread : StationSettings
- station_to_node : FlowEdgeIterator
- station_type : NPFFindStationOrTileData , RailStationGUISettings
- StationCargoList : VehicleCargoList
- StationClassIDSorter() : BuildRailStationWindow
- StationFinder() : StationFinder
- StationNameSorter() : CompanyStationsWindow
- StationRatingMaxSorter() : CompanyStationsWindow
- StationRatingMinSorter() : CompanyStationsWindow
- StationResolverObject() : StationResolverObject
- stations : StationFinder
- stations_near : Industry , Town
- StationScopeResolver() : StationScopeResolver
- StationTypeSorter() : CompanyStationsWindow
- StationWaitingAvailableSorter() : CompanyStationsWindow
- StationWaitingTotalSorter() : CompanyStationsWindow
- statistics : Group
- statspec : StationScopeResolver
- statues : Town
- status : AnimationInfo , ClientNetworkGameSocketHandler , GoodsEntry , GRFConfig , NetworkAdminSocketHandler , NetworkGameList , RoadStop , ServerNetworkGameSocketHandler , TCPConnecter
- Status : TCPConnecter
- STATUS_ACTIVE : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_AUTH_COMPANY : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_AUTH_GAME : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_AUTHORIZED : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_DONE_MAP : ServerNetworkGameSocketHandler
- STATUS_END : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- status_height : NewsWindow
- STATUS_INACTIVE : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_JOIN : ClientNetworkGameSocketHandler
- STATUS_MAP : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_MAP_WAIT : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_NEWGRFS_CHECK : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_PRE_ACTIVE : ServerNetworkGameSocketHandler
- statusbar_pos : GUISettings
- step_height : ResizeInfo
- step_size : ScriptConfigItem
- step_width : ResizeInfo
- stepsize : Scrollbar
- stickybox : WidgetDimensions
- stickybox_dimension : NWidgetLeaf
- Stop() : AI , Driver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_Win32 , MusicSystem , SoundDriver_Allegro , SoundDriver_Cocoa , SoundDriver_Null , SoundDriver_SDL , SoundDriver_Win32 , SoundDriver_XAudio2 , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_CocoaOpenGL , VideoDriver_CocoaQuartz , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_SDL_OpenGL , VideoDriver_Win32Base , VideoDriver_Win32GDI
- stop_location : GUISettings
- StopAction() : Gamelog
- StopGameThread() : VideoDriver
- StopSong() : MusicDriver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_Win32
- storage : BaseTimer< TTimerType > , PersistentStorageArray< TYPE, SIZE > , ScriptInstance , TemporaryStorageArray< TYPE, SIZE >
- StoredCount() : VehicleCargoList
- StorePSA() : AirportScopeResolver , IndustriesScopeResolver , ScopeResolver , TownScopeResolver
- StoreSizePosition() : NWidgetBase
- StoreValue() : PersistentStorageArray< TYPE, SIZE > , TemporaryStorageArray< TYPE, SIZE >
- story_page_elements : StoryBookWindow
- story_pages : StoryBookWindow
- StoryPage() : StoryPage
- StoryPageElement() : StoryPageElement
- str : CheatEntry , IntSettingDesc , Layouter::LineCacheKey , Layouter::LineCacheQuery , TileDesc
- str_help : IntSettingDesc
- str_info : OSXStringIterator , UniscribeStringIterator
- str_val : IntSettingDesc
- string : Case , DropDownString< TBase, TFs, TEnd > , Layouter , NewsStringData , RefitOption , SettingFilter , StringParameter , StringParameterBackup
- string_filter : BuildObjectWindow , BuildRailStationWindow , BuildRailWaypointWindow , BuildRoadStationWindow , BuildVehicleWindow , ContentListFilterData , IndustryDirectoryWindow , NewGRFWindow , SaveLoadWindow , SignList , TownDirectoryWindow
- string_id : BaseStation , EngineInfo , NewsItem , TextEffect , TooltipsWindow
- string_names : GameStrings
- string_params : GameStrings
- StringBuilder() : StringBuilder
- StringData() : StringData
- StringFilter() : StringFilter
- StringListReader() : StringListReader
- StringNameWriter() : StringNameWriter
- StringParameters() : StringParameters
- StringReader() : StringReader
- strings : RailTypeInfo , RoadTypeInfo , StringData , StringNameWriter , TranslationWriter , UnmappedChoiceList
- StringToSettings() : ScriptConfig
- stSlopeCost() : CYapfCostBase
- Stun() : ClientNetworkStunSocketHandler
- stun_handlers : ClientNetworkCoordinatorSocketHandler
- StunResult() : ClientNetworkCoordinatorSocketHandler
- styles : GRFTownName
- sub : ChildScreenSpriteToDraw , ParentSpriteToDraw , TileSpriteToDraw
- sub_date_fract : TimerGameCalendar
- SubArray : SmallArray< T, B, N >
- subdir : FileScanner
- subs : NewGRFProfiler::Call
- subscroll : SmallMapWindow
- subsidies : NewsSettings
- Subsidy() : Subsidy
- subsidy_duration : DifficultySettings
- subsidy_multiplier : DifficultySettings
- subspeed : Vehicle
- substitute_id : EngineIDMapping , EntityIDMapping
- subtags : AllowedSubtags
- subtract_input : IndustryProductionSpriteGroup
- subtype : AircraftVehicleInfo , CargoSummaryItem , RefitOption , RefitResult , Vehicle
- Succeeded() : CommandCost
- success : CommandCost
- suffix : CurrencySpec
- summary_msg : ErrorMessageData
- SuperArray : SmallArray< T, B, N >
- supp_cargoes : CargoesField
- supplied : Town
- supply : LinkGraph::BaseNode
- supply_sum : SymmetricScaler
- SUPPORTS_RTL : CoreTextParagraphLayoutFactory , FallbackParagraphLayoutFactory , ICUParagraphLayoutFactory , UniscribeParagraphLayoutFactory
- SurveyCrash() : CrashLog , CrashLogOSX , CrashLogUnix , CrashLogWindows
- SurveyStacktrace() : CrashLog , CrashLogOSX , CrashLogWindows
- suspend : ScriptInstance
- SwapShares() : FlowStat
- switch_company : Cheats
- SwitchMapType() : SmallMapWindow
- SwitchMode() : BasePersistentStorageArray
- SwitchToNextOrder() : VehicleOrderSaver
- symbol_pos : CurrencySpec
- SymmetricScaler() : SymmetricScaler
- sync_anim_mapping : OpenGLBackend
- sync_freq : NetworkSettings
- sync_vid_mapping : OpenGLBackend